Add DHCP networks to be synchronized with Address Manager.
Note: If you would like to add
new DHCP networks that have not yet been synchronized with Address Manager, you must
first use the POST /overlay/api/v1/refresh-networks API method to
retrieve a full list of DHCP networks that can be synchronized.
Request
POST http://<Gateway_url>/overlay/api/v1/networks
Authorization: <token>
Content-Type: application/json
{
"networks": [
{
network: "172.16.10.0/24",
"selected": true
},
{
"network": "172.16.15.0/24",
"selected": true
}]
}
Parameters
- network - the CIDR IP address of the DHCP network to synchronize.
- selected - a boolean value indicating whether the server has been configured to be managed by BlueCat Overlay for Microsoft.
Successful
response
200 OK
Content-Type: application/json
[
{
"network": "172.16.10.0/24",
"updated": true
},
{
"network": "172.16.15.0/24",
"updated": true
}
]